Package docking.actions

# Interface DockingToolActions

All Known Implementing Classes:
  `ToolActions`

public interface DockingToolActions
Represents the collection of actions registered with the tool, along with method for adding and removing actions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addGlobalAction(DockingActionIf action)`
  Adds the given action that is enabled, regardless of the active provider
  `void`
  `addLocalAction(ComponentProvider provider, DockingActionIf action)`
  Adds the given action that enabled when the given provider is active
  `Set<DockingActionIf>`
  `getActions(String owner)`
  Returns all actions with the given owner
  `Set<DockingActionIf>`
  `getAllActions()`
  Returns all actions known to the tool.
  `Set<DockingActionIf>`
  `getGlobalActions()`
  Returns all global actions known to the tool
  `DockingActionIf`
  `getLocalAction(ComponentProvider provider, String actionName)`
  Gets the provider action by the given name
  `Set<DockingActionIf>`
  `getLocalActions(ComponentProvider provider)`
  Gets all the local actions registered for the given ComponentProvider.
  `void`
  `registerSharedActionPlaceholder(SharedDockingActionPlaceholder placeholder)`
  Allows clients to register an action by using a placeholder.
  `void`
  `removeActions(ComponentProvider provider)`
  Removes all local actions for the given provider
  `void`
  `removeActions(String owner)`
  Removes all global actions for the given owner
  `void`
  `removeGlobalAction(DockingActionIf action)`
  Removes the given global action
  `void`
  `removeLocalAction(ComponentProvider provider, DockingActionIf action)`
  Removes the given provider's local action

- ## Method Details

  - ### addLocalAction

    void addLocalAction(ComponentProvider provider, DockingActionIf action)
    Adds the given action that enabled when the given provider is active
    Parameters:
      `provider` - the provider
      `action` - the action

  - ### getLocalAction

    DockingActionIf getLocalAction(ComponentProvider provider, String actionName)
    Gets the provider action by the given name
    Parameters:
      `provider` - the provider
      `actionName` - the action name
    Returns:
      the action

  - ### getLocalActions

    Set<DockingActionIf> getLocalActions(ComponentProvider provider)
    Gets all the local actions registered for the given ComponentProvider.
    Parameters:
      `provider` - the ComponentProvider for which to get its local actions
    Returns:
      all the local actions registered for the given ComponentProvider

  - ### removeLocalAction

    void removeLocalAction(ComponentProvider provider, DockingActionIf action)
    Removes the given provider's local action
    Parameters:
      `provider` - the provider
      `action` - the action

  - ### addGlobalAction

    void addGlobalAction(DockingActionIf action)
    Adds the given action that is enabled, regardless of the active provider
    Parameters:
      `action` - the action

  - ### removeGlobalAction

    void removeGlobalAction(DockingActionIf action)
    Removes the given global action
    Parameters:
      `action` - the action

  - ### removeActions

    void removeActions(String owner)
    Removes all global actions for the given owner
    Parameters:
      `owner` - the owner

  - ### removeActions

    void removeActions(ComponentProvider provider)
    Removes all local actions for the given provider
    Parameters:
      `provider` - the provider

  - ### getActions

    Set<DockingActionIf> getActions(String owner)
    Returns all actions with the given owner
    Parameters:
      `owner` - the owner
    Returns:
      the actions

  - ### getAllActions

    Set<DockingActionIf> getAllActions()
    Returns all actions known to the tool.
    Returns:
      the actions

  - ### getGlobalActions

    Set<DockingActionIf> getGlobalActions()
    Returns all global actions known to the tool
    Returns:
      the global actions known to the tool

  - ### registerSharedActionPlaceholder

    void registerSharedActionPlaceholder(SharedDockingActionPlaceholder placeholder)
    Allows clients to register an action by using a placeholder. This is useful when an API wishes to have a central object (like a plugin) register actions for transient providers, that may not be loaded until needed.

    This method may be called multiple times with the same conceptual placeholder--the placeholder will only be added once.

    Parameters:
      `placeholder` - the placeholder containing information related to the action it represents